org.apache.solr.client.solrj.request.beans

## Class DeleteBackupPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.DeleteBackupPayload

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject, ReflectMapWriter

    public class DeleteBackupPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`Integer` `backupId`
`String` `location`
`Integer` `maxNumBackupPoints`
`String` `name`
`Boolean` `purgeUnused`
`String` `repository`

### Constructor Summary

Constructors
Constructor and Description
`DeleteBackupPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### name

    public String name

#### location

    public String location

#### repository

    public String repository

#### backupId

    public Integer backupId

#### maxNumBackupPoints

    public Integer maxNumBackupPoints

#### purgeUnused

    public Boolean purgeUnused

#### async

    public String async

### Constructor Detail

#### DeleteBackupPayload

    public DeleteBackupPayload()